Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class NumberTree<TValue extends PdfObjectWrapper<?>>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.objects.Tree<PdfInteger,TValue>
              org.pdfclown.objects.NumberTree<TValue>

All Implemented Interfaces:
  Cloneable, Map<PdfInteger,TValue>, IPdfObjectWrapper

Direct Known Subclasses:
  PageLabels

    public abstract class NumberTree<TValue extends PdfObjectWrapper<?>>

extends Tree<PdfInteger,TValue>

Number tree [PDF:1.7:3.8.6].

Since:
  0.1.2
Version:
  0.1.2, 09/24/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`protected` | `NumberTree(Document context)`
`protected` | `NumberTree(PdfDirectObject baseObject)`

Method Summary
`protected PdfName` | `getPairsKey()` Gets the name of the key-value pairs entries.

Methods inherited from class org.pdfclown.objects.Tree
`clear, containsKey, containsValue, entrySet, equals, get, getKey, hashCode, isEmpty, keySet, put, putAll, remove, size, values, wrapValue`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberTree

    protected NumberTree(Document context)

### NumberTree

    protected NumberTree(PdfDirectObject baseObject)

Method Detail

### getPairsKey

    protected PdfName getPairsKey()

  Description copied from class: `Tree`
  Gets the name of the key-value pairs entries.

  Specified by:
    `getPairsKey` in class `Tree<PdfInteger,TValue extends PdfObjectWrapper<?>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.